Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class PyramidInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.BarExtendInfo
              jet.report.xls.PyramidInfo

    public class PyramidInfo

extends BarExtendInfo

Contains the information of Pyramid chart type in the file. The class extends BarExtendInfo.

Field Summary

Fields inherited from class jet.report.xls.BarExtendInfo
`HF100STACKED, HNORMAL, HSTACKED, TRUE3D, VF100STACKED, VNORMAL, VSTACKED`

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`PyramidInfo(short dataLabel, short style)` Constructs a `PyramidInfo` object withe these parameters:

Method Summary
`int` | `getChartType()` Gets the type of the chart.

Methods inherited from class jet.report.xls.BarExtendInfo
`getSpbBars, getSpbCats, getStyle, hasShadow, setSpbBars, setSpbCats, setStyle`

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setCatNameRef, setDataLabel, setInfo3D, setIs3D, setIsPercentDataLabel, setIsShowY2, setIsShowYAxis`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PyramidInfo

    public PyramidInfo(short dataLabel,
                       short style)

  Constructs a `PyramidInfo` object withe these parameters:

  Parameters:
    `dataLabel` - type of the data label, `ChartTypeInfo.SHOWNONE` for none, `ChartTypeInfo.SHOWVALUE` for value, `ChartTypeInfo.SHOWLABEL` for showing label
    `style` - style of BarExtendInfo

Method Detail

### getChartType

    public int getChartType()

  Gets the type of the chart.

  Specified by:
    `getChartType` in class `BarExtendInfo`
  Returns:
    type of the chart

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD